# TimeManagement Class Reference

`#include <TimeManagement.hh>`

Inheritance diagram for TimeManagement:

[legend]

List of all members.

## Public Types
enum | { NO_TICK, TICK_BLOCKING, TICK_NEXT, TICK_CALLBACK, TICK_RETURN }
## Public Member Functions
| TimeManagement (Communications *, Queues *, FederationManagement *, DeclarationManagement *, ObjectManagement *, OwnershipManagement *)
| Constructor.
void | nextEventRequest (FederationTime heure_logique, TypeException &e)
void | nextEventRequestAvailable (FederationTime heure_logique, TypeException &e)
bool | tick (TypeException &e)
void | timeAdvanceRequest (FederationTime heure_logique, TypeException &e)
void | timeAdvanceRequestAvailable (FederationTime heure_logique, TypeException &e)
bool | testValidTime (FederationTime theTime)
void | setLookahead (FederationTimeDelta lookahead, TypeException &e)
void | setTimeConstrained (bool etat, TypeException &e)
void | setTimeRegulating (bool etat, FederationTime heure_logique, FederationTimeDelta lookahead, TypeException &e)
void | StopperAvanceTemps ()
FederationTime | requestFederationTime ()
FederationTime | requestFederateTime ()
FederationTimeDelta | requestLookahead ()
FederationTime | requestMinNextEventTime ()
| Return the min of LBTS and the time stamp of the next TSO message.
FederationTime | requestLBTS ()
bool | requestContraintState ()
bool | requestRegulateurState ()
## Public Attributes
enum certi::rtia::TimeManagement:: { ... } | _tick_state
bool | _tick_multiple
bool | _tick_result
RTI::TickTime | _tick_timeout
RTI::TickTime | _tick_stop_time
bool | _asynchronous_delivery
## Private Member Functions
void | advance (bool &msg_restant, TypeException &e)
void | timeAdvance (bool &msg_restant, TypeException &e)
void | nextEventAdvance (bool &msg_restant, TypeException &e)
void | timeAdvanceGrant (FederationTime, TypeException &)
void | flushQueueRequest (FederationTime, TypeException &)
| Not implemented.
bool | executeFederateService (NetworkMessage &msg)
| Deliver TSO messages to federate (UAV, ReceiveInteraction, etc...).
void | sendNullMessage (FederationTime heure_logique)
| Send a null message to RTIG containing Local Time + Lookahead.
void | timeRegulationEnabled (FederationTime, TypeException &e)
void | timeConstrainedEnabled (FederationTime, TypeException &e)
## Private Attributes
Communications * | comm
Queues * | queues
FederationManagement * | fm
DeclarationManagement * | dm
ObjectManagement * | om
OwnershipManagement * | owm
FederationTime | lastNullMessageDate
| Federate State.
TypeAvancee | _avancee_en_cours
| Type/date from last request (timeAdvance, nextEvent, flushQueue).
FederationTime | date_avancee
TypeGrantedState | _type_granted_state
FederationTime | _heure_courante
FederationTimeDelta | _lookahead_courant
bool | _est_regulateur
bool | _est_contraint

## Detailed Description

Definition at line 73 of file TimeManagement.hh.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  NO_TICK |
  TICK_BLOCKING |
  TICK_NEXT |
  TICK_CALLBACK |
  TICK_RETURN |

Definition at line 111 of file TimeManagement.hh.

## Constructor & Destructor Documentation

TimeManagement | ( | Communications * | GC,
|  | Queues * | GQueues,
|  | FederationManagement * | GF,
|  | DeclarationManagement * | GD,
|  | ObjectManagement * | GO,
|  | OwnershipManagement * | GP |
| ) |  |  |

Constructor.

Definition at line 70 of file TimeManagement.cc.

References TimeManagement::_asynchronous_delivery, TimeManagement::_avancee_en_cours, TimeManagement::_est_contraint, TimeManagement::_est_regulateur, TimeManagement::_heure_courante, TimeManagement::_lookahead_courant, TimeManagement::_tick_state, TimeManagement::comm, TimeManagement::dm, TimeManagement::fm, TimeManagement::lastNullMessageDate, TimeManagement::NO_TICK, TimeManagement::om, TimeManagement::owm, certi::rtia::PAS_D_AVANCEE, and TimeManagement::queues.

## Member Function Documentation

void nextEventRequest | ( | FederationTime | heure_logique,
|  | TypeException & | e |
| ) |  |  |

Definition at line 486 of file TimeManagement.cc.

References TimeManagement::_avancee_en_cours, TimeManagement::_heure_courante, TimeManagement::_lookahead_courant, TimeManagement::_type_granted_state, certi::rtia::AFTER_TAR_OR_NER, certi::rtia::AFTER_TAR_OR_NER_WITH_ZERO_LK, certi::rtia::D, TimeManagement::date_avancee, certi::e_FederationTimeAlreadyPassed, certi::e_InvalidFederationTime, certi::e_NO_EXCEPTION, certi::e_TimeAdvanceAlreadyInProgress, certi::rtia::epsilon2, certi::rtia::NER, PrettyDebug::Out(), certi::rtia::PAS_D_AVANCEE, pdExcept, and pdTrace.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void nextEventRequestAvailable | ( | FederationTime | heure_logique,
|  | TypeException & | e |
| ) |  |  |

Definition at line 522 of file TimeManagement.cc.

References TimeManagement::_avancee_en_cours, TimeManagement::_heure_courante, TimeManagement::_lookahead_courant, TimeManagement::_type_granted_state, certi::rtia::AFTER_TARA_OR_NERA, certi::rtia::D, TimeManagement::date_avancee, certi::e_FederationTimeAlreadyPassed, certi::e_InvalidFederationTime, certi::e_NO_EXCEPTION, certi::e_TimeAdvanceAlreadyInProgress, certi::rtia::NERA, PrettyDebug::Out(), certi::rtia::PAS_D_AVANCEE, pdExcept, and pdTrace.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

bool tick | ( | TypeException & | e | ) |

Federate calls either nextEventRequest or timeAdvanceRequest to determine which time to attain. It then calls tick() until a timeAdvanceGrant is made.

Definition at line 761 of file TimeManagement.cc.

References TimeManagement::_asynchronous_delivery, TimeManagement::_avancee_en_cours, TimeManagement::_est_contraint, TimeManagement::advance(), certi::rtia::D, TimeManagement::executeFederateService(), certi::rtia::G, Queues::giveCommandMessage(), Queues::giveFifoMessage(), PrettyDebug::Out(), certi::rtia::PAS_D_AVANCEE, pdDebug, pdGendoc, and TimeManagement::queues.

Referenced by RTIA::processOngoingTick().

Here is the call graph for this function:

void timeAdvanceRequest | ( | FederationTime | logical_time,
|  | TypeException & | e |
| ) |  |  |

Either nextEventRequest or timeAdvanceRequest is called by federate to determine time to reach. It then calls tick() until a timeAdvanceGrant is received.

Definition at line 910 of file TimeManagement.cc.

References TimeManagement::_avancee_en_cours, TimeManagement::_est_regulateur, TimeManagement::_heure_courante, TimeManagement::_lookahead_courant, TimeManagement::_type_granted_state, certi::rtia::AFTER_TAR_OR_NER, certi::rtia::AFTER_TAR_OR_NER_WITH_ZERO_LK, certi::rtia::D, TimeManagement::date_avancee, certi::e_FederationTimeAlreadyPassed, certi::e_InvalidFederationTime, certi::e_NO_EXCEPTION, certi::e_TimeAdvanceAlreadyInProgress, certi::rtia::epsilon2, FedTime::getTime(), PrettyDebug::Out(), certi::rtia::PAS_D_AVANCEE, pdDebug, pdExcept, pdTrace, TimeManagement::sendNullMessage(), and certi::rtia::TAR.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void timeAdvanceRequestAvailable | ( | FederationTime | heure_logique,
|  | TypeException & | e |
| ) |  |  |

Definition at line 955 of file TimeManagement.cc.

References TimeManagement::_avancee_en_cours, TimeManagement::_est_regulateur, TimeManagement::_heure_courante, TimeManagement::_lookahead_courant, TimeManagement::_type_granted_state, certi::rtia::AFTER_TARA_OR_NERA, certi::rtia::D, TimeManagement::date_avancee, certi::e_FederationTimeAlreadyPassed, certi::e_InvalidFederationTime, certi::e_NO_EXCEPTION, certi::e_TimeAdvanceAlreadyInProgress, FedTime::getTime(), PrettyDebug::Out(), certi::rtia::PAS_D_AVANCEE, pdExcept, pdTrace, TimeManagement::sendNullMessage(), and certi::rtia::TARA.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

bool testValidTime | ( | FederationTime | theTime | ) |

Is the time stamp of a time advance request correct ?

Definition at line 730 of file TimeManagement.cc.

References TimeManagement::_avancee_en_cours, TimeManagement::_heure_courante, TimeManagement::_lookahead_courant, TimeManagement::_type_granted_state, certi::rtia::AFTER_TAR_OR_NER_WITH_ZERO_LK, TimeManagement::date_avancee, and certi::rtia::PAS_D_AVANCEE.

Referenced by ObjectManagement::sendInteraction(), and ObjectManagement::updateAttributeValues().

void setLookahead | ( | FederationTimeDelta | lookahead,
|  | TypeException & | e |
| ) |  |  |

Definition at line 585 of file TimeManagement.cc.

References TimeManagement::_est_regulateur, TimeManagement::_heure_courante, TimeManagement::_lookahead_courant, certi::rtia::D, certi::e_InvalidLookahead, certi::e_NO_EXCEPTION, certi::e_RTIinternalError, certi::rtia::epsilon2, FedTime::getTime(), PrettyDebug::Out(), pdRegister, and TimeManagement::sendNullMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void setTimeConstrained | ( | bool | etat,
|  | TypeException & | e |
| ) |  |  |

Definition at line 613 of file TimeManagement.cc.

References TimeManagement::_avancee_en_cours, TimeManagement::_est_contraint, FederationManagement::_numero_federation, TimeManagement::comm, NM_Set_Time_Constrained::constrainedOff(), NM_Set_Time_Constrained::constrainedOn(), certi::rtia::D, certi::e_NO_EXCEPTION, certi::e_RTIinternalError, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, TimeManagement::fm, PrettyDebug::Out(), certi::rtia::PAS_D_AVANCEE, pdExcept, pdRegister, and Communications::sendMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void setTimeRegulating | ( | bool | etat,
|  | FederationTime | heure_logique,
|  | FederationTimeDelta | lookahead,
|  | TypeException & | e |
| ) |  |  |

Definition at line 652 of file TimeManagement.cc.

References TimeManagement::_avancee_en_cours, TimeManagement::_est_regulateur, TimeManagement::_heure_courante, TimeManagement::_lookahead_courant, FederationManagement::_numero_federation, TimeManagement::comm, certi::rtia::D, certi::e_NO_EXCEPTION, certi::e_RTIinternalError, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, TimeManagement::fm, FedTime::getTime(), PrettyDebug::Out(), certi::rtia::PAS_D_AVANCEE, pdDebug, pdExcept, pdRegister, NM_Set_Time_Regulating::regulatorOff(), NM_Set_Time_Regulating::regulatorOn(), Communications::sendMessage(), and NetworkMessage::setDate().

Referenced by RTIA::chooseFederateProcessing(), and FederationManagement::resignFederationExecution().

Here is the call graph for this function:

void StopperAvanceTemps | ( |  | ) | `[inline]`

Definition at line 97 of file TimeManagement.hh.

References TimeManagement::_avancee_en_cours, and certi::rtia::PAS_D_AVANCEE.

Referenced by FederationManagement::resignFederationExecution().

FederationTime requestFederationTime | ( |  | ) |

Definition at line 551 of file TimeManagement.cc.

References LBTS::_LBTS.

FederationTime requestFederateTime | ( |  | ) | `[inline]`

Definition at line 103 of file TimeManagement.hh.

References TimeManagement::_heure_courante.

Referenced by RTIA::chooseFederateProcessing(), and ObjectManagement::updateAttributeValues().

FederationTimeDelta requestLookahead | ( |  | ) |

Definition at line 557 of file TimeManagement.cc.

References TimeManagement::_lookahead_courant.

Referenced by RTIA::chooseFederateProcessing(), and ObjectManagement::updateAttributeValues().

FederationTime requestMinNextEventTime | ( |  | ) |

Return the min of LBTS and the time stamp of the next TSO message.

Definition at line 565 of file TimeManagement.cc.

References LBTS::_LBTS, certi::rtia::D, FedTime::getTime(), Queues::nextTsoDate(), PrettyDebug::Out(), pdRegister, and TimeManagement::queues.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

FederationTime requestLBTS | ( |  | ) | `[inline]`

Definition at line 106 of file TimeManagement.hh.

References LBTS::_LBTS.

Referenced by RTIA::chooseFederateProcessing().

bool requestContraintState | ( |  | ) | `[inline]`

Definition at line 107 of file TimeManagement.hh.

References TimeManagement::_est_contraint.

Referenced by RTIA::processNetworkMessage().

bool requestRegulateurState | ( |  | ) | `[inline]`

Definition at line 108 of file TimeManagement.hh.

References TimeManagement::_est_regulateur.

Referenced by FederationManagement::resignFederationExecution().

void advance | ( | bool & | msg_restant,
|  | TypeException & | e |
| ) |  |  | `[private]`

This method is called by tick(). Calls are dispatched between timeAdvance and nextEventAdvance.

Definition at line 45 of file TimeManagement.cc.

References TimeManagement::_avancee_en_cours, certi::rtia::D, certi::rtia::NER, certi::rtia::NERA, TimeManagement::nextEventAdvance(), PrettyDebug::Out(), pdTrace, certi::rtia::TAR, certi::rtia::TARA, and TimeManagement::timeAdvance().

Referenced by TimeManagement::tick().

Here is the call graph for this function:

void timeAdvance | ( | bool & | msg_restant,
|  | TypeException & | e |
| ) |  |  | `[private]`

timeAdvance is called by advance which is called by tick. This call is done only if request type does correspond. It delivers TSO messages to federate and if no messages are available, delivers a TimeAdvanceGrant.

Definition at line 824 of file TimeManagement.cc.

References TimeManagement::_avancee_en_cours, TimeManagement::_est_contraint, LBTS::_LBTS, TimeManagement::_lookahead_courant, certi::rtia::D, TimeManagement::date_avancee, certi::e_NO_EXCEPTION, TimeManagement::executeFederateService(), certi::rtia::G, FedTime::getTime(), Queues::giveTsoMessage(), PrettyDebug::Out(), certi::rtia::PAS_D_AVANCEE, pdDebug, pdGendoc, TimeManagement::queues, certi::rtia::TARA, and TimeManagement::timeAdvanceGrant().

Referenced by TimeManagement::advance().

Here is the call graph for this function:

void nextEventAdvance | ( | bool & | msg_restant,
|  | TypeException & | e |
| ) |  |  | `[private]`

nextEventAdvance is called by advance which is called by tick. This call is done only if request type does correspond. It delivers TSO messages to federate and if no messages are available, delivers a TimeAdvanceGrant.

Definition at line 413 of file TimeManagement.cc.

References TimeManagement::_avancee_en_cours, TimeManagement::_est_contraint, TimeManagement::_est_regulateur, LBTS::_LBTS, TimeManagement::date_avancee, TimeManagement::executeFederateService(), certi::rtia::G, Queues::giveTsoMessage(), Queues::nextTsoDate(), PrettyDebug::Out(), certi::rtia::PAS_D_AVANCEE, pdGendoc, TimeManagement::queues, TimeManagement::sendNullMessage(), and TimeManagement::timeAdvanceGrant().

Referenced by TimeManagement::advance().

Here is the call graph for this function:

void timeAdvanceGrant | ( | FederationTime | logical_time,
|  | TypeException & | e |
| ) |  |  | `[private]`

Once every messages has been delivered to federate, logical time can be advanced and send a timeAdvanceGrant to federate.

Definition at line 883 of file TimeManagement.cc.

References TimeManagement::_heure_courante, TimeManagement::_lookahead_courant, TimeManagement::_tick_state, TimeManagement::comm, certi::rtia::D, certi::rtia::epsilon2, Message::getFederationTime(), FedTime::getTime(), PrettyDebug::Out(), pdRegister, Communications::requestFederateService(), Message::setFederationTime(), TimeManagement::TICK_NEXT, Message::TIME_ADVANCE_GRANT, and Message::type.

Referenced by TimeManagement::nextEventAdvance(), and TimeManagement::timeAdvance().

Here is the call graph for this function:

void flushQueueRequest | ( | FederationTime | heure_logique,
|  | TypeException & | e |
| ) |  |  | `[private]`

Not implemented.

Definition at line 388 of file TimeManagement.cc.

References TimeManagement::_avancee_en_cours, TimeManagement::_heure_courante, certi::rtia::D, certi::e_FederationTimeAlreadyPassed, certi::e_NO_EXCEPTION, certi::e_TimeAdvanceAlreadyInProgress, PrettyDebug::Out(), certi::rtia::PAS_D_AVANCEE, and pdExcept.

Here is the call graph for this function:

bool executeFederateService | ( | NetworkMessage & | msg | ) | `[private]`

Deliver TSO messages to federate (UAV, ReceiveInteraction, etc...).

Definition at line 124 of file TimeManagement.cc.

References TimeManagement::_tick_state, NetworkMessage::ANNOUNCE_SYNCHRONIZATION_POINT, FederationManagement::announceSynchronizationPoint(), NetworkMessage::ATTRIBUTE_IS_NOT_OWNED, NetworkMessage::ATTRIBUTE_OWNERSHIP_ACQUISITION_NOTIFICATION, NetworkMessage::ATTRIBUTE_OWNERSHIP_DIVESTITURE_NOTIFICATION, NetworkMessage::ATTRIBUTE_OWNERSHIP_UNAVAILABLE, OwnershipManagement::attributeIsNotOwned(), OwnershipManagement::attributeOwnershipAcquisitionNotification(), OwnershipManagement::attributeOwnershipDivestitureNotification(), OwnershipManagement::attributeOwnershipUnavailable(), NetworkMessage::CONFIRM_ATTRIBUTE_OWNERSHIP_ACQUISITION_CANCELLATION, OwnershipManagement::confirmAttributeOwnershipAcquisitionCancellation(), certi::rtia::D, NetworkMessage::DISCOVER_OBJECT, ObjectManagement::discoverObject(), TimeManagement::dm, NetworkMessage::eventRetraction, NetworkMessage::federate, NetworkMessage::FEDERATION_NOT_RESTORED, NetworkMessage::FEDERATION_NOT_SAVED, NetworkMessage::FEDERATION_RESTORE_BEGUN, NetworkMessage::FEDERATION_RESTORED, NetworkMessage::FEDERATION_SAVED, NetworkMessage::FEDERATION_SYNCHRONIZED, FederationManagement::federationRestoreBegun(), FederationManagement::federationRestoredStatus(), FederationManagement::federationSavedStatus(), FederationManagement::federationSynchronized(), TimeManagement::fm, certi::rtia::G, NetworkMessage::getAttribValueArray(), NetworkMessage::getDate(), NetworkMessage::getLabel(), NetworkMessage::getName(), NetworkMessage::getParamValueArray(), NetworkMessage::getTag(), NetworkMessage::getType(), NetworkMessage::handleArray, NetworkMessage::handleArraySize, NetworkMessage::INFORM_ATTRIBUTE_OWNERSHIP, OwnershipManagement::informAttributeOwnership(), NetworkMessage::INITIATE_FEDERATE_RESTORE, NetworkMessage::INITIATE_FEDERATE_SAVE, FederationManagement::initiateFederateRestore(), FederationManagement::initiateFederateSave(), NetworkMessage::interactionClass, NetworkMessage::isDated(), NetworkMessage::object, NetworkMessage::objectClass, TimeManagement::om, PrettyDebug::Out(), TimeManagement::owm, pdExcept, pdGendoc, pdInit, pdRequest, NetworkMessage::PROVIDE_ATTRIBUTE_VALUE_UPDATE, ObjectManagement::provideAttributeValueUpdate(), NetworkMessage::RECEIVE_INTERACTION, ObjectManagement::receiveInteraction(), NetworkMessage::REFLECT_ATTRIBUTE_VALUES, ObjectManagement::reflectAttributeValues(), NetworkMessage::REMOVE_OBJECT, ObjectManagement::removeObject(), NetworkMessage::REQUEST_ATTRIBUTE_OWNERSHIP_ASSUMPTION, NetworkMessage::REQUEST_ATTRIBUTE_OWNERSHIP_RELEASE, NetworkMessage::REQUEST_FEDERATION_RESTORE_FAILED, NetworkMessage::REQUEST_FEDERATION_RESTORE_SUCCEEDED, OwnershipManagement::requestAttributeOwnershipAssumption(), OwnershipManagement::requestAttributeOwnershipRelease(), FederationManagement::requestFederationRestoreStatus(), NetworkMessage::START_REGISTRATION_FOR_OBJECT_CLASS, DeclarationManagement::startRegistrationForObjectClass(), NetworkMessage::SYNCHRONIZATION_POINT_REGISTRATION_SUCCEEDED, FederationManagement::synchronizationPointRegistrationSucceeded(), TimeManagement::TICK_NEXT, NetworkMessage::TIME_CONSTRAINED_ENABLED, NetworkMessage::TIME_REGULATION_ENABLED, TimeManagement::timeConstrainedEnabled(), and TimeManagement::timeRegulationEnabled().

Referenced by TimeManagement::nextEventAdvance(), TimeManagement::tick(), and TimeManagement::timeAdvance().

Here is the call graph for this function:

void sendNullMessage | ( | FederationTime | heure_logique | ) | `[private]`

Send a null message to RTIG containing Local Time + Lookahead.

Definition at line 99 of file TimeManagement.cc.

References TimeManagement::_lookahead_courant, FederationManagement::_numero_federation, TimeManagement::comm, certi::rtia::D, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, TimeManagement::fm, FedTime::getTime(), TimeManagement::lastNullMessageDate, PrettyDebug::Out(), pdDebug, pdExcept, Communications::sendMessage(), and NetworkMessage::setDate().

Referenced by TimeManagement::nextEventAdvance(), TimeManagement::setLookahead(), TimeManagement::timeAdvanceRequest(), and TimeManagement::timeAdvanceRequestAvailable().

Here is the call graph for this function:

void timeRegulationEnabled | ( | FederationTime | theTime,
|  | TypeException & | e |
| ) |  |  | `[private]`

Definition at line 706 of file TimeManagement.cc.

References TimeManagement::comm, certi::rtia::D, PrettyDebug::Out(), pdDebug, Communications::requestFederateService(), Message::setFederationTime(), Message::TIME_REGULATION_ENABLED, and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void timeConstrainedEnabled | ( | FederationTime | theTime,
|  | TypeException & | e |
| ) |  |  | `[private]`

Definition at line 717 of file TimeManagement.cc.

References TimeManagement::comm, certi::rtia::D, PrettyDebug::Out(), pdDebug, Communications::requestFederateService(), Message::setFederationTime(), Message::TIME_CONSTRAINED_ENABLED, and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

## Member Data Documentation

enum { ... } _tick_state

Referenced by RTIA::chooseFederateProcessing(), RTIA::execute(), TimeManagement::executeFederateService(), RTIA::processOngoingTick(), TimeManagement::timeAdvanceGrant(), and TimeManagement::TimeManagement().

bool _tick_multiple

Definition at line 118 of file TimeManagement.hh.

Referenced by RTIA::chooseFederateProcessing(), and RTIA::processOngoingTick().

bool _tick_result

Definition at line 119 of file TimeManagement.hh.

Referenced by RTIA::chooseFederateProcessing(), and RTIA::processOngoingTick().

RTI::TickTime _tick_timeout

Definition at line 120 of file TimeManagement.hh.

Referenced by RTIA::chooseFederateProcessing(), and RTIA::execute().

RTI::TickTime _tick_stop_time

Definition at line 121 of file TimeManagement.hh.

Referenced by RTIA::chooseFederateProcessing(), and RTIA::processOngoingTick().

bool _asynchronous_delivery

Definition at line 122 of file TimeManagement.hh.

Referenced by RTIA::chooseFederateProcessing(), TimeManagement::tick(), and TimeManagement::TimeManagement().

Communications* comm`[private]`

Definition at line 137 of file TimeManagement.hh.

Referenced by TimeManagement::sendNullMessage(), TimeManagement::setTimeConstrained(), TimeManagement::setTimeRegulating(), TimeManagement::timeAdvanceGrant(), TimeManagement::timeConstrainedEnabled(), TimeManagement::TimeManagement(), and TimeManagement::timeRegulationEnabled().

Queues* queues`[private]`

Definition at line 138 of file TimeManagement.hh.

Referenced by TimeManagement::nextEventAdvance(), TimeManagement::requestMinNextEventTime(), TimeManagement::tick(), TimeManagement::timeAdvance(), and TimeManagement::TimeManagement().

FederationManagement* fm`[private]`

Definition at line 139 of file TimeManagement.hh.

Referenced by TimeManagement::executeFederateService(), TimeManagement::sendNullMessage(), TimeManagement::setTimeConstrained(), TimeManagement::setTimeRegulating(), and TimeManagement::TimeManagement().

DeclarationManagement* dm`[private]`

Definition at line 140 of file TimeManagement.hh.

Referenced by TimeManagement::executeFederateService(), and TimeManagement::TimeManagement().

ObjectManagement* om`[private]`

Definition at line 141 of file TimeManagement.hh.

Referenced by TimeManagement::executeFederateService(), and TimeManagement::TimeManagement().

OwnershipManagement* owm`[private]`

Definition at line 142 of file TimeManagement.hh.

Referenced by TimeManagement::executeFederateService(), and TimeManagement::TimeManagement().

FederationTime lastNullMessageDate`[private]`

Federate State.

Definition at line 145 of file TimeManagement.hh.

Referenced by TimeManagement::sendNullMessage(), and TimeManagement::TimeManagement().

TypeAvancee _avancee_en_cours`[private]`

Type/date from last request (timeAdvance, nextEvent, flushQueue).

Definition at line 148 of file TimeManagement.hh.

Referenced by TimeManagement::advance(), TimeManagement::flushQueueRequest(), TimeManagement::nextEventAdvance(), TimeManagement::nextEventRequest(), TimeManagement::nextEventRequestAvailable(), TimeManagement::setTimeConstrained(), TimeManagement::setTimeRegulating(), TimeManagement::StopperAvanceTemps(), TimeManagement::testValidTime(), TimeManagement::tick(), TimeManagement::timeAdvance(), TimeManagement::timeAdvanceRequest(), TimeManagement::timeAdvanceRequestAvailable(), and TimeManagement::TimeManagement().

FederationTime date_avancee`[private]`

Definition at line 149 of file TimeManagement.hh.

Referenced by TimeManagement::nextEventAdvance(), TimeManagement::nextEventRequest(), TimeManagement::nextEventRequestAvailable(), TimeManagement::testValidTime(), TimeManagement::timeAdvance(), TimeManagement::timeAdvanceRequest(), and TimeManagement::timeAdvanceRequestAvailable().

TypeGrantedState _type_granted_state`[private]`

Definition at line 150 of file TimeManagement.hh.

Referenced by TimeManagement::nextEventRequest(), TimeManagement::nextEventRequestAvailable(), TimeManagement::testValidTime(), TimeManagement::timeAdvanceRequest(), and TimeManagement::timeAdvanceRequestAvailable().

FederationTime _heure_courante`[private]`

Definition at line 153 of file TimeManagement.hh.

Referenced by TimeManagement::flushQueueRequest(), TimeManagement::nextEventRequest(), TimeManagement::nextEventRequestAvailable(), TimeManagement::requestFederateTime(), TimeManagement::setLookahead(), TimeManagement::setTimeRegulating(), TimeManagement::testValidTime(), TimeManagement::timeAdvanceGrant(), TimeManagement::timeAdvanceRequest(), TimeManagement::timeAdvanceRequestAvailable(), and TimeManagement::TimeManagement().

FederationTimeDelta _lookahead_courant`[private]`

Definition at line 154 of file TimeManagement.hh.

Referenced by TimeManagement::nextEventRequest(), TimeManagement::nextEventRequestAvailable(), TimeManagement::requestLookahead(), TimeManagement::sendNullMessage(), TimeManagement::setLookahead(), TimeManagement::setTimeRegulating(), TimeManagement::testValidTime(), TimeManagement::timeAdvance(), TimeManagement::timeAdvanceGrant(), TimeManagement::timeAdvanceRequest(), TimeManagement::timeAdvanceRequestAvailable(), and TimeManagement::TimeManagement().

bool _est_regulateur`[private]`

Definition at line 155 of file TimeManagement.hh.

Referenced by TimeManagement::nextEventAdvance(), TimeManagement::requestRegulateurState(), TimeManagement::setLookahead(), TimeManagement::setTimeRegulating(), TimeManagement::timeAdvanceRequest(), TimeManagement::timeAdvanceRequestAvailable(), and TimeManagement::TimeManagement().

bool _est_contraint`[private]`

Definition at line 156 of file TimeManagement.hh.

Referenced by TimeManagement::nextEventAdvance(), TimeManagement::requestContraintState(), TimeManagement::setTimeConstrained(), TimeManagement::tick(), TimeManagement::timeAdvance(), and TimeManagement::TimeManagement().

The documentation for this class was generated from the following files:

- TimeManagement.hh
- TimeManagement.cc